Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# normaltest

scipy.stats.mstats.normaltest(a, axis=0)

  Tests whether a sample differs from a normal distribution.

  Parameters:
    a array_like

      The array containing the data to be tested.

    axis int or None, optional

      Axis along which to compute test. Default is 0. If None, compute over the whole array a.

  Returns:
    statistic float or array

      `s^2 + k^2`, where `s` is the z-score returned by `skewtest` and `k` is the z-score returned by `kurtosistest`.

    pvalue float or array

      A 2-sided chi squared probability for the hypothesis test.

  Notes

  For more details about `normaltest`, see `scipy.stats.normaltest`.